( cd usr/lib ; rm -rf libgnomevfs-2.so.0 )
( cd usr/lib ; ln -sf libgnomevfs-2.so.0.2200.0 libgnomevfs-2.so.0 )
( cd usr/lib ; rm -rf libgnomevfs-2.so )
( cd usr/lib ; ln -sf libgnomevfs-2.so.0.2200.0 libgnomevfs-2.so )

if [ -x usr/bin/gconftool-2 ]; then
GCONF_CONFIG_SOURCE="$(usr/bin/gconftool-2 --get-default-source)" usr/bin/gconftool-2 --makefile-install-rule etc/gconf/schemas/desktop_default_applications.schemas >/dev/null 2>&1
GCONF_CONFIG_SOURCE="$(usr/bin/gconftool-2 --get-default-source)" usr/bin/gconftool-2 --makefile-install-rule etc/gconf/schemas/desktop_gnome_url_handlers.schemas >/dev/null 2>&1
GCONF_CONFIG_SOURCE="$(usr/bin/gconftool-2 --get-default-source)" usr/bin/gconftool-2 --makefile-install-rule etc/gconf/schemas/system_dns_sd.schemas >/dev/null 2>&1
GCONF_CONFIG_SOURCE="$(usr/bin/gconftool-2 --get-default-source)" usr/bin/gconftool-2 --makefile-install-rule etc/gconf/schemas/system_http_proxy.schemas >/dev/null 2>&1
GCONF_CONFIG_SOURCE="$(usr/bin/gconftool-2 --get-default-source)" usr/bin/gconftool-2 --makefile-install-rule etc/gconf/schemas/system_smb.schemas >/dev/null 2>&1
fi
# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
	killall -HUP gconfd-2 ;
fi

if [ -x usr/bin/update-mime-database ]; then
	usr/bin/update-mime-database usr/share/mime/ &> /dev/null
fi
